
% --------------------- Manifold's Nonlinear Model -----------------------

% throttle angle (deg)/surface parabolic parameters:
as = 1.873774787630852e-007;
bs = 1.918597403177548e-007;
cs = 6.142645612230928e-006;

% mass flowrate parameters:
Gnp = 1.5e-010;
Onp = -7.777777777777779e-009;

Gnn = -1.388888888888889e-006;
Onn = 5.555555555555556e-004;

% input coefficient for throttle surface
bp = 4.515042518386426e+009;

% feedback coefficient for flowrate
ap = -1.934831460674157e+007;

% --------------------- Torque generation's Hybrid Model -----------------------

% pumping and friction torque (Nm):
T_pa = 20;

% cylinders' torque gain (N*m/Kg):
G = 390000;

% cylynders' torque offset (Nm):
T0 = -14.2;

% spark efficiency parameters:
eta_a = 183.333;
eta_b = -205.833;
eta_c = 42.5;

% --------------------- Power-train's Linear Model -----------------------

% crankshaft momentum of inertia with clutch open (Kg*m2):
Jo = 0.9;

% crankshaft momentum of inertia with clutch closed (Kg*m2):
Jc = 1.0472;

% crankshaft viscosity coefficient (Kg*m2*sec):
B = 0.016033;

% ------------------------------------------------------------- Steady state --------------------------------------------------------------------------------

% revolution speed
n0 = 800;
n_out = n0*pi/30;

% pressure
p0 = 2.476748818868296e+004;

% masses of air loaded:
f_out = Onn + Gnn*n0 + (Onp+Gnp*n0)*p0;
mc = f_out*30/n0;
me = 0;

% throttle angle
alpha0 = 4.29;

% generated torque
T_eff = 21.34317746694974;

% spark_advance
fi0 = 20;
fi = fi0;

% variables for Stateflow charts
spark_advance_old = fi;
thetas = - fi;
thetad = 0;

% load torque
T_l0 = 0;

