

% --------------------- Manifold's Linear Model -----------------------

% manifold dynamic parameters:
ap = -2.33254681647940;  % 1/sec
bp = 1.536930550579806e+004;  % 1/(sec*m^2*deg)

% --------------------- Torque generation's Hybrid Model -----------------------

% pumping and friction torque (Nm):
T_p = 20;

% cylinders' torque gain (N*m/Kg):
G = 390000;

% cylynders' torque offset (Nm):
T0 = -14.2;

% spark efficiency parameters:
eta_a = 183.333;
eta_b = -205.833;
eta_c = 42.5;

% compression mass/pressure gain (Kg/Pa):
Gmp = 4.5e-9;

% compression mass offset (Kg):
Mo = -2.08e-5;

% --------------------- Power-train's Linear Model -----------------------

% crankshaft momentum of inertia with clutch open (Kg*m2):
Jo = 0.9;

% crankshaft viscosity coefficient (Kg*m2*sec):
B = 0.016033;

% -------------------------- State and Input variables at Initial Set Point --------------------------------------------

% manifold pressure (Pa):
p0 = 27985;

% initial mass loaded (Kg):
mc = Gmp*p0+Mo;

% crank revolution speed (RPM):
n0 = 800;

% throttle angle (deg):
alpha0 = 3.56;

% spark advance
fi0 = 5;
fi = fi0*pi/180;

% variables for Stateflow charts
spark_advance_old = fi;
thetas = - fi;
thetad = 0;

% Experiment
phi_init = fi0;
phi_final = 0;
phi_step_time = 1.58;

Tl_init = 2.62;
Tl_final = 0;
Tl_step_time = 1.55;

alpha_init = alpha0;
alpha_final = 3.415;
alpha_step_time = 1.58;
