
% --------------------- Torque generation's Hybrid Model -----------------------

% pumping and friction torque (Nm):
T_p = 20;

% spark efficiency parameters:
eta_a = 183.333;
eta_b = -205.833;
eta_c = 42.5;

% --------------------- Power-train's Linear Model -----------------------

% crankshaft momentum of inertia with clutch open (Kg*m2):
Jo = 0.9;

% crankshaft viscosity coefficient (Kg*m2*sec):
B = 0.016033;

% -------------------------- State and Input variables at Initial Set Point --------------------------------------------

% crank revolution speed (RPM):
n0 = 800;

% spark advance
fi0 = 20;
fi = fi0*pi/180;

% variables for Stateflow charts
spark_advance_old = fi;
thetas = - fi;
thetad = 0;

% Maximum torque
Tm = 22.2;

% Experiment
phi_init = fi0;
phi_final = 14;
phi_step_time = 0.11;

Tl_init = 0.866;
Tl_final = 0;
Tl_step_time = 0.11;